Poggio
Docs
REST APIV2Digest

Get Account Digest

Returns the top-ranked news stories and contact changes for an account from a configurable time window.

GET
/v2/accounts/{account_id}/digest

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

account_id*string

Query Parameters

story_count?integer
Default10
Range1 <= value <= 50
contact_count?integer
Default10
Range1 <= value <= 50
period_days?integer
Default90
Range1 <= value <= 365

Response Body

application/json

application/json

curl -X GET "https://api.poggio.io/v2/accounts/string/digest"
{
  "stories": [
    {
      "id": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "critical_score": 0,
      "image_url": "string",
      "source_urls": [
        "string"
      ],
      "params": {
        "title": "string",
        "description": "string",
        "news_industry_annotations": [
          "string"
        ],
        "news_type_annotations": [
          "string"
        ]
      }
    }
  ],
  "contacts": [
    {
      "id": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "critical_score": 0,
      "params": {
        "contact_type": "DEPARTURE",
        "pdl_id": "string",
        "name": "string",
        "role": "string",
        "linkedin_url": "string"
      }
    }
  ],
  "account_url": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}